#!/usr/bin/python
import sys, math
import httplib
import urllib
import json
from time import strftime, localtime

def pubapi_request(pair, type):
	url = "https://btc-e.com/api/2/" + pair + "/" + type
	f = urllib.urlopen(url)
	return json.load(f)

def ticker(pair):
	return pubapi_request(pair, "ticker")['ticker']


pairs = [
	["usd", "rur"],
	["btc", "usd"],
	["btc", "rur"],
	["ltc", "rur"],
	["ftc", "btc"]
	]
currmap = {
	"usd": "$",
	"rur": "r",
	"btc": "btc",
	"ltc": "ltc",
	"ftc": "ftc"
	}

for p in pairs:
	tick = ticker(p[0] + '_' + p[1])
	print "P", strftime("%Y/%m/%d %H:%M:%S"), currmap[p[0]], tick['sell'], currmap[p[1]]

